Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.labkey.remoteapi.assay
Class ExpObject

    java.lang.Object
      org.labkey.remoteapi.ResponseObject
          org.labkey.remoteapi.assay.ExpObject

Direct Known Subclasses:
  Batch, Data, Run

    public abstract class ExpObject

extends ResponseObject

Base class for experiment objects, including Run, Data, Batch, etc User: jeckels Date: Apr 28, 2010

Field Summary

Fields inherited from class org.labkey.remoteapi.ResponseObject
`_allProperties`

Constructor Summary
`ExpObject()`
`ExpObject(org.json.simple.JSONObject json)`

Method Summary
`int` | `getId()`
`java.lang.String` | `getName()`
`java.util.Map<java.lang.String,java.lang.Object>` | `getProperties()`
`void` | `setId(int id)`
`void` | `setName(java.lang.String name)`
`void` | `setProperties(java.util.Map<java.lang.String,java.lang.Object> properties)`
`org.json.simple.JSONObject` | `toJSONObject()`

Methods inherited from class org.labkey.remoteapi.ResponseObject
`getAllProperties`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExpObject

    public ExpObject()

### ExpObject

    public ExpObject(org.json.simple.JSONObject json)

Method Detail

### toJSONObject

    public org.json.simple.JSONObject toJSONObject()

### getId

    public int getId()

  Returns:
    the auto-generated rowId for this object

### setId

    public void setId(int id)

  Parameters:
    `id` - the auto-generated rowId for this object

### getName

    public java.lang.String getName()

  Returns:
    the name assigned to this object

### setName

    public void setName(java.lang.String name)

  Parameters:
    `name` - the name assigned to this object

### getProperties

    public java.util.Map<java.lang.String,java.lang.Object> getProperties()

  Returns:
    the customizable properties attached to this object (Run Properties, Batch Properties, etc)

### setProperties

    public void setProperties(java.util.Map<java.lang.String,java.lang.Object> properties)

  Parameters:
    `properties` - the customizable properties attached to this object (Run Properties, Batch Properties, etc)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD